import React, { Component } from "react";

export default class Form extends Component {
	submit = () => {
		const { addToList } = this.props;
		addToList();
	};

	handleChange = e => {
		const { changeInputValue } = this.props;
		changeInputValue(e.target.value);
	};

	render() {
		const { inputData } = this.props;
		return (
			<div>
				<input type="text" value={inputData} onChange={this.handleChange} />
				<button type="submit" onClick={this.submit}>
					LETS GO
				</button>
			</div>
		);
	}
}
