import React, { Component } from "react";

export default class List extends Component {
	change = ({ id, value }) => {
		const { changelistValue } = this.props;
		changelistValue({ id, value });
	};

	deleteItem = (e, id) => {
		e.stopPropagation();
		const { deleteItemList } = this.props;
		deleteItemList(id);
	};

	render() {
		const { list, toggleEditField } = this.props;
		return (
			<div>
				<ul>
					{list.map(el =>
						el.edit ? (
							<div key={el.id}>
								<input
									type="text"
									value={el.value}
									onChange={e => this.change({ id: el.id, value: e.target.value })}
								/>
								<button onClick={toggleEditField.bind(null, el.id)}>SAVE MEEEEE</button>
							</div>
						) : (
							<li onClick={toggleEditField.bind(null, el.id)} key={el.id}>
								{el.value}
								<button onClick={e => this.deleteItem(e, el.id)}>x</button>
							</li>
						)
					)}
				</ul>
			</div>
		);
	}
}
