import React, { Component } from "react";

import List from "../list";
import Form from "../form";
import "./style.css";

export default class Page extends Component {
	render() {
		const {
			list,
			inputData,
			addToList,
			changeInputValue,
			toggleEditField,
			changelistValue,
			deleteItemList
		} = this.props;
		console.log("list", list);
		return (
			<div className="container">
				<Form changeInputValue={changeInputValue} addToList={addToList} inputData={inputData} />
				<List
					deleteItemList={deleteItemList}
					changelistValue={changelistValue}
					toggleEditField={toggleEditField}
					list={list}
				/>
			</div>
		);
	}
}
